#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xzf pixman-0.30.0.tar.gz
    cd pixman-0.30.0
    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
	    --disable-static
    make -C pixman
    strip -R .note -R .comment pixman/.libs/libpixman-1.so.0
    mkdir -p ../libpixman-1-0/lib
    cp pixman/.libs/libpixman-1.so.0 ../libpixman-1-0/lib/
    cd ..
    rm -rf pixman-0.30.0
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
